PUT List/ProductFamily/Items/{id}/UserGroups
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
PUT /api/v1/List/ProductFamily/Items/{itemId}/UserGroups
Saves user groups visible for the ProductFamily list's item.
Calls the List agent service SaveHeadingsForListItemFromListDefinition.
| Path Part | Type | Description |
|---|---|---|
| itemId | int32 | The ID of the item to save. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entities
The headings to be saved.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | The Id of the ListItem |
| Name | String | The name of the ListItem |
| ToolTip | String | The tooltip of the ListItem |
| Deleted | Boolean | The deleted status of the ListItem |
| Rank | Integer | The rank of the ListItem |
| Type | String | The type of the ListItem. Custom field. |
| ColorBlock | Integer | The color indicator of the ListItem color block |
| IconHint | String | The Icon hint of the ListItem. Custom field. |
| Selected | Boolean | True if the ListItem is selected |
| LastChanged | String | Time of last change. |
| ChildItems | Array | The child items of the SelectableMDOListItem |
| ExtraInfo | String | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | String | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | Boolean | True if the ListItem is hidden |
| FullName | String | The name of the ListItem in its context |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/List/ProductFamily/Items/{itemId}/UserGroups
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
[
{
"Id": 258,
"Name": "Paucek Inc and Sons",
"ToolTip": "Possimus ullam ad vel aut voluptatem.",
"Deleted": false,
"Rank": 343,
"Type": "aliquid",
"ColorBlock": 129,
"IconHint": "molestias",
"Selected": false,
"LastChanged": "2020-01-31T14:34:03.3542927+01:00",
"ChildItems": [
{
"Id": 224,
"Name": "Lueilwitz, Hackett and Ward",
"ToolTip": "Fuga consequatur debitis vitae.",
"Deleted": false,
"Rank": 780,
"Type": "perferendis",
"ColorBlock": 325,
"IconHint": "id",
"Selected": true,
"LastChanged": "2007-06-14T14:34:03.3542927+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "voluptas",
"StyleHint": "sequi",
"Hidden": false,
"FullName": "Ms. Theresia Renner"
}
],
"ExtraInfo": "incidunt",
"StyleHint": "omnis",
"Hidden": true,
"FullName": "Eldridge Smith"
}
]
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 1000,
"Name": "CRM Products",
"ToolTip": "Voluptas sunt ad nulla.",
"Deleted": true,
"Rank": 38,
"Type": "neque",
"ColorBlock": 950,
"IconHint": "repellendus",
"Selected": true,
"LastChanged": "2012-11-08T14:34:03.3562927+01:00",
"ChildItems": [
{
"Id": 10,
"Name": "Douglas Inc and Sons",
"ToolTip": "Quia quisquam ut.",
"Deleted": false,
"Rank": 763,
"Type": "sapiente",
"ColorBlock": 472,
"IconHint": "voluptas",
"Selected": true,
"LastChanged": "1999-12-05T14:34:03.3562927+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "iure",
"StyleHint": "impedit",
"Hidden": false,
"FullName": "Fabiola Jast I",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 251
}
}
}
],
"ExtraInfo": "natus",
"StyleHint": "a",
"Hidden": true,
"FullName": "Darryl Schuppe II",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 952
}
}
}
]